import type { _NSViewController } from "../AppKit/NSViewController.js";
import type { _AUAudioUnit } from "../AudioToolbox/AUAudioUnit.js";
export declare class _AUGenericViewController extends _NSViewController {
    static alloc(): _AUGenericViewController;
    static new(): _AUGenericViewController;
    init(): _AUGenericViewController;
    auAudioUnit(): _AUAudioUnit | null;
    setAuAudioUnit$(value: _AUAudioUnit | null): void;
}
